summaryrefslogtreecommitdiffstats
path: root/next/bin/build
diff options
context:
space:
mode:
Diffstat (limited to 'next/bin/build')
-rwxr-xr-xnext/bin/build22
1 files changed, 22 insertions, 0 deletions
diff --git a/next/bin/build b/next/bin/build
new file mode 100755
index 00000000..40bbec34
--- /dev/null
+++ b/next/bin/build
@@ -0,0 +1,22 @@
+#! /bin/sh
+#
+# build : hostname -> system-path
+#
+set -euf
+
+host=$1
+
+#target=root@$host
+
+nixos_config=$config_root/modules/$host
+secrets_nix=$secrets_root/$host/nix
+secrets_rsync=$secrets_root/$host/rsync
+
+nix-build \
+ -I "$nixpkgs" \
+ -I nixos-config="$nixos_config" \
+ -I retiolum-hosts="$retiolum_hosts" \
+ -I secrets="$secrets_nix" \
+ -A system \
+ --no-out-link \
+ '<nixos>'